export async function GET(req, res) {

    try {
        const response = await fetch(`${process.env.NEXT_PUBLIC_BACKEND_URL}/api/generalconsultations/`, {
            headers: {
                'Content-Type': 'application/json',
                cookie: req.headers.get("cookie") || "",
            },
            method: 'GET',
        });

        if (!response.ok) {
            throw new Error('Failed to fetch consultations');
        }

        const data = await response.json();
        return new Response(JSON.stringify(data), { status: 200 });
    } catch (error) {
        console.error('Error fetching consultations:', error);
        return new Response(JSON.stringify({ error: 'Internal server error' }), { status: 500 });
    }
}